<?
$tipo_local = 1;
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
/* Utilizar este FOR para processar notas de redacao aos poucos */
/*   for ($i = 248; $i<= 500; $i++) {   */
     for ($i = 0; $i<= $interno_redacao; $i++) {   
	$nota_da_redacao = $nota_redacao[$i];
	$situacao_candidato = $situacao[$i];
	$candidato = $matricula[$i];
	$sql_redacao = "update notas_redacao set ";
	$sql_situacao = "update resultado_final set ";
	
	if ($nota_da_redacao == '')
	{
		$sql_redacao .= "redacao = 0 ";
		$nota_da_redacao = 0;
	}
	else 
	{
		$sql_redacao .= "redacao = $nota_da_redacao ";
		$verificando_redacao = 40 * 0.20;
		if ($verificando_redacao > $nota_da_redacao)
		{
			$situacao_candidato = 0;
		}
		else
		{
			$situacao_candidato = 1;
			
			// AREA COMENTADA ESTA DESCLASSIFICANDO CASO DE PROVAS ZERADAS EXETO PORTUGUES
			// AREA FOI COMENTADA PARA VALER DESCLASSIFICACAO NO CASO DE ZERAR CADERNO INTEIRO			

			/*$result_1 = mysql_query("Select * from resultado_parcial where matricula = '$candidato' and cod_materia <> '1'")
				or die ( 'Erro na consulta da nota de lingua portuguesa parcial.' );
			while($info_1 = mysql_fetch_array($result_1))
			{
				if ($info_1["pontuacao"] == 0 )
				{
					$situacao_candidato = 0;
				}
			}*/
			//SITUACAO CADERNO 
			$query_cad = @mysql_query("SELECT zerou_caderno FROM resultado_final WHERE matricula = '".$candidato."'");
			$arr_cad = @mysql_fetch_array($query_cad);
			if ($arr_cad[zerou_caderno] == "s")
			{
				$situacao_candidato = 0;
			}
			
			
			
		$result_1 = mysql_query("Select * from resultado_parcial where matricula = '$candidato' and cod_materia = '1'")
			or die ( 'Erro na consulta da nota de lingua portuguesa parcial.' );
		$info_1 = mysql_fetch_array($result_1);
		$pontuacao_pt =  $info_1["pontuacao"];
		}
		$pt_total = ($pontuacao_pt + $nota_da_redacao) * 3;

		//PULA VERIFICACAO DE TOTAL DE PORTUGUES + REDACAO
		//$verifica_pontos_pt = 300 * 0.30;
		$verifica_pontos_pt = 300 * 0.00;
		if ($verifica_pontos_pt > $pt_total) {
			$situacao_candidato = 0;
		}
		$result_1 = mysql_query("Select * from resultado_final where matricula = '$candidato'")
			or die ( 'Erro na consulta da nota de lingua portuguesa parcial.' );
		$info_1 = mysql_fetch_array($result_1);
		
		$pontuacao_total =  $info_1["total"];
		$pontuacao_total_do_candidato = $pontuacao_total + ( 3 * $nota_da_redacao);
		$total_candidato = $total_parcial[$i] + (3*$nota_da_redacao);
		$sql_situacao .= "situacao = '$situacao_candidato', total_final = '$pontuacao_total_do_candidato', redacao = '$nota_da_redacao'";
		$sql_redacao .= "where matricula = '$candidato'";
		$sql_situacao .= "where matricula = '$candidato'";
		mysql_query($sql_redacao)
			or die ( 'Não foi possivel atualizar a nota de redação. Consulte o Administrador.' );
		mysql_query($sql_situacao)
			or die ( 'Não foi possivel atualizar a situacao do candidato. Consulte o Administrador.' );
	}
}
header ("Location: processo_seletivo.php?curso=$curso");
?>
